Bug 1996718 - KSM flag --node should be --nodes in CMO assets
Summary: KSM flag --node should be --nodes in CMO assets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Jan Fajerski
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 14:20 UTC by Jan Fajerski
Modified: 2021-10-18 17:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1337 0 None None None 2021-08-23 14:26:22 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:48:09 UTC

Description Jan Fajerski 2021-08-23 14:20:29 UTC
This causes a test failure after we updated KSM and dropped a patch that was hiding the issue.

Test failure:
fail [github.com/openshift/origin/test/extended/prometheus/prometheus.go:454]: Unexpected error:
    <errors.aggregate | len:2, cap:2>: [
        {
            s: "promQL query returned unexpected results:\nsum(node_role_os_version_machine:cpu_capacity_cores:sum{label_kubernetes_io_arch!=\"\",label_node_role_kubernetes_io_master!=\"\"}) > 0\n[]",
        },
        {
            s: "promQL query returned unexpected results:\nsum(node_role_os_version_machine:cpu_capacity_sockets:sum{label_kubernetes_io_arch!=\"\",label_node_hyperthread_enabled!=\"\",label_node_role_kubernetes_io_master!=\"\"}) > 0\n[]",
        },
    ]
    [promQL query returned unexpected results:
    sum(node_role_os_version_machine:cpu_capacity_cores:sum{label_kubernetes_io_arch!="",label_node_role_kubernetes_io_master!=""}) > 0
    [], promQL query returned unexpected results:
    sum(node_role_os_version_machine:cpu_capacity_sockets:sum{label_kubernetes_io_arch!="",label_node_hyperthread_enabled!="",label_node_role_kubernetes_io_master!=""}) > 0
    []]
occurred

seen in PR https://github.com/openshift/kube-state-metrics/pull/56

Comment 3 Junqi Zhao 2021-08-25 04:07:12 UTC
checked with 4.9.0-0.nightly-2021-08-24-203710, metric-labels-allowlist label is nodes now
#  oc -n openshift-monitoring get deploy kube-state-metrics -oyaml | grep metric-labels-allowlist
        - --metric-labels-allowlist=pods=[*],nodes=[*]
but
https://github.com/openshift/kube-state-metrics/pull/56
is still open, and kube-state-metrics version is still v2.0.0 now
move back to assigned

Comment 5 Jan Fajerski 2021-09-03 07:36:03 UTC
The PR https://github.com/openshift/kube-state-metrics/pull/56 only make this issue visible. Passing --node instead of --nodes is a bug regardless. Currently its simply masked.
@juzhao@redhat.com feel free to close this.

Comment 6 Junqi Zhao 2021-09-03 09:18:15 UTC
based on Comment 3 and Comment 5, set to verified

Comment 11 errata-xmlrpc 2021-10-18 17:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.